using com.paypal.sdk.services;
using com.paypal.soap.api;
using com.paypal.sdk.profiles;

namespace SpiceLogic.PayPalProSOAP.Core
{
	/// <summary>
	/// Summary description for GetBalance.
	/// </summary>
	public class GetBalance
	{
	    public string GetBalanceCode()
	    {
             CallerServices caller = new CallerServices();

            IAPIProfile profile = ProfileFactory.createSignatureAPIProfile();
            profile.APIUsername = ConfigData._apiUserName;
            profile.APIPassword = ConfigData._apiPassword;
            profile.APISignature = ConfigData._apiSignature;
            profile.Environment = ConfigData.PayPalEnvironment;
            caller.APIProfile = profile;

            GetBalanceRequestType pp_request = new GetBalanceRequestType { Version = ConfigData.APIVersion };
            GetBalanceResponseType pp_response = (GetBalanceResponseType)caller.Call("GetBalance", pp_request);

            return string.Format("{0} {1}", pp_response.Balance.Value, pp_response.Balance.currencyID);
	    }
	}
}
